package _VisualDVM.Passes.All;
import Common.Passes.DeleteObjectsPass;
import Common.Utils.Utils_;
import _VisualDVM.GlobalData.Tasks.RunTask.RunTask;
public class DeleteRunTasks extends DeleteObjectsPass<RunTask> {
    public DeleteRunTasks() {
        super(RunTask.class);
    }
    @Override
    protected void body() throws Exception {
        super.body();
        for (RunTask task : target) {
            Utils_.forceDeleteWithCheck(task.getLocalWorkspace());
        }
    }
}
